Package com.orchestranetworks.service

# Class ServiceGroupKey

java.lang.Object
com.orchestranetworks.service.ServiceGroupKey

public final class ServiceGroupKey extends Object
Identifies a group of user services.

Since:
  5.7.1

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final ServiceGroupKey`
  `CUSTOM_SERVICES_WITHOUT_GROUP`
  Service group containing all non built-in services without specified group.
  `static final ServiceGroupKey`
  `EBX_IMPORT_EXPORT`
  Service group containing services to export and import data.
  `static final ServiceGroupKey`
  `EBX_SERVICES_WITHOUT_GROUP`
  Service group containing all built-in services without specified group.
  `static final ServiceGroupKey`
  `EBX_VIEWS`
  Service group containing services to display in the 'Views' menu.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object anObject)`
  `String`
  `format()`
  Returns a persistent identifier for this service key.
  `static ServiceGroupKey`
  `forServiceGroupInModule(String moduleName, String serviceGroupName)`
  Returns the identifier of a service group defined in a module.
  `String`
  `getModuleName()`
  `String`
  `getName()`
  Returns the full name of the service.
  `String`
  `getServiceGroupName()`
  Returns the local name of the service, by removing the prefix before and including the '@' character.
  `int`
  `hashCode()`
  `boolean`
  `isBuiltInGroup()`
  Returns `true` if this instance identifies a built-in service group.
  `static ServiceGroupKey`
  `parse(String aString)`
  Returns the service key that corresponds to the specified string.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### EBX_SERVICES_WITHOUT_GROUP

    public static final ServiceGroupKey EBX_SERVICES_WITHOUT_GROUP
    Service group containing all built-in services without specified group.

    Value is `@ebx-services-without-group`.

  - ### CUSTOM_SERVICES_WITHOUT_GROUP

    public static final ServiceGroupKey CUSTOM_SERVICES_WITHOUT_GROUP
    Service group containing all non built-in services without specified group.

    Value is: `@custom-services-without-group`.

  - ### EBX_IMPORT_EXPORT

    public static final ServiceGroupKey EBX_IMPORT_EXPORT
    Service group containing services to export and import data.

    Value is: `@ebx-importExport`.

  - ### EBX_VIEWS

    public static final ServiceGroupKey EBX_VIEWS
    Service group containing services to display in the 'Views' menu. Any service associated with this group will be displayed in the 'Views' menu.

    Value is: `@ebx-views`

- ## Method Details

  - ### forServiceGroupInModule

    public static ServiceGroupKey forServiceGroupInModule(String moduleName, String serviceGroupName)
    Returns the identifier of a service group defined in a module.
    Parameters:
      `moduleName` - name of the module (as defined by the element `/module/name` in the document located at `/WEB-INF/ebx/module.xml`).
      `serviceGroupName` - name of the service group in the module (as defined by the attribute `/module/serviceGroups/serviceGroup/@name` in the document `/WEB-INF/ebx/module.xml`).

  - ### parse

    public static ServiceGroupKey parse(String aString)
    Returns the service key that corresponds to the specified string.

    The specified string is generally generated by the method `format()`.

    Throws:
      `IllegalArgumentException` - if specified string is empty or incorrect.

  - ### isBuiltInGroup

    public boolean isBuiltInGroup()
    Returns `true` if this instance identifies a built-in service group.

  - ### getModuleName

    public String getModuleName()

  - ### getServiceGroupName

    public String getServiceGroupName()
    Returns the local name of the service, by removing the prefix before and including the '@' character.

  - ### getName

    public String getName()
    Returns the full name of the service.

  - ### format

    public String format()
    Returns a persistent identifier for this service key.

    The service key can be re-obtained by parsing this persistent identifier using the method `parse(String)`.

  - ### equals

    public boolean equals(Object anObject)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`